.switcher {
    position: relative;

    &__button {
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        white-space: nowrap;
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        color: var(--gray-80);
        text-decoration: none;
        padding: 0 rem(20) 0 0;
        background: transparent;
        position: relative;
        transition: var(--transition-time);

        &:before {
            right: 0;
            content: '';
            width: 16px;
            height: 16px;
            top: calc(50% - 8px);
            position: absolute;
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMTEuMDYgNS41MzAwM0w4IDguNTgzMzZMNC45NCA1LjUzMDAzTDQgNi40NzAwM0w4IDEwLjQ3TDEyIDYuNDcwMDNMMTEuMDYgNS41MzAwM1onIGZpbGw9JyM2NjY2NjYnLz48L3N2Zz4=");
            background-position: 50% 50%;
            background-repeat: no-repeat;
        }

        &:hover {
            color: var(--blue);
            transition: var(--transition-time);

            &:before {
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMTEuMDYgNS41MzAwM0w4IDguNTgzMzZMNC45NCA1LjUzMDAzTDQgNi40NzAwM0w4IDEwLjQ3TDEyIDYuNDcwMDNMMTEuMDYgNS41MzAwM1onIGZpbGw9JyMwMEE1RkYnLz48L3N2Zz4=");
            }
        }
    }

    &__content {
        left: 0;
        top: calc(100% + 10px);
        min-width: 100%;
        background: white;
        overflow: hidden;
        position: absolute;
        border-radius: rem(6);
        box-shadow: var(--shadow);
        opacity: 0;
        visibility: hidden;
    }

    &__item {
        cursor: pointer;
        font-size: rem(12);
        line-height: rem(16);
        white-space: nowrap;
        color: var(--gray-50);
        text-decoration: none;
        background-color: white;
        padding: rem(6) rem(12);


        &:hover {
            color: white;
            text-decoration: none;
            background-color: var(--blue);
        }

        &:active {
            color: var(--gray-50);
            background-color: white;
        }

        &.active {
            color: var(--gray-50);
            background-color: #FAFAF9;
        }
    }

    &.open {
        z-index: 100;

        .switcher {

            &__button {
                color: var(--blue);

                &:before {
                    transform: rotate(180deg);
                    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMTEuMDYgNS41MzAwM0w4IDguNTgzMzZMNC45NCA1LjUzMDAzTDQgNi40NzAwM0w4IDEwLjQ3TDEyIDYuNDcwMDNMMTEuMDYgNS41MzAwM1onIGZpbGw9JyMwMEE1RkYnLz48L3N2Zz4=");
                }
            }

            &__content {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &--city {

        .switcher__content {
            min-width: rem(296);
        }
    }

    @include media-breakpoint-up(xl) {

        &__button {

        }

        &--city {

            .switcher__content {
                min-width: rem(180);
            }
        }
    }
}
